#
#     RPM package specification for Jpcap
#
#     Edited by Patrick Dignan
#     Originally made by Keita Fujii
#

Name: jpcap
Version: 0.7
Release: 7%{?dist}
Summary: A Java library for capturing and sending network packets

Group: Development/Libraries
License: LGPLv2+ and BSD with advertising
URL: http://netresearch.ics.uci.edu/kfujii/jpcap/
Source: http://netresearch.ics.uci.edu/kfujii/jpcap/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: jpackage-utils, java-devel >= 1:1.6, libpcap-devel >= 0.9, ant, dos2unix
Requires: jpackage-utils, java >= 1:1.6

%description 
Jpcap is a Java library for capturing and
sending network packets from Java applications.
This Jpcap package requires Java 1.6 or higher 
and libpcap 0.9 or higher.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
sed -i 's:System.loadLibrary("jpcap"):System.load("'%{_libdir}/%{name}/lib%{name}.so'"):g' src/java/%{name}/JpcapWriter.java
sed -i 's:System.loadLibrary("jpcap"):System.load("'%{_libdir}/%{name}/lib%{name}.so'"):g' src/java/%{name}/JpcapCaptor.java
rm -rf lib/*
dos2unix ChangeLog
dos2unix README
dos2unix doc/javadoc/package-list
dos2unix doc/javadoc/stylesheet.css

%build
export JAVA_HOME=%{java_home}
set JAVA_HOME=%{java_home}
mkdir bin
%{ant} jar
cd src/c
make clean
make %{?_smp_mflags} CC="gcc %{optflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

install -D src/c/libjpcap.so $RPM_BUILD_ROOT%{_libdir}/%{name}/libjpcap.so
install -D lib/jpcap.jar $RPM_BUILD_ROOT%{_libdir}/%{name}/jpcap.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/javadoc/ $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libjpcap.so
%{_libdir}/%{name}/jpcap.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Patrick Dignan <dignan.patrick at, gmail.com> 0.7-6
- Uses sed to change System.loadLibrary() to System.load and the exact path of the .so file.
* Tue Jan 06 2009 Patrick Dignan <jpdota at, sourceforge.net> 0.7-5
- Fixed End-of-line problems in README, ChangeLog, doc/javadoc/stylesheet.css, and doc/javadoc/package-list
- Fixed Directory ownership of _libdir/name (macros)
- No longer strips the binaries
- Added Fedora specific compilation flags to make
- Fixed x86_64 build by adding -fPIC to make
- JAVA_HOME now set by the java_home macro
- Removed require on libpcap
- Changed SourceURL to use the name and version macros
